Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2225830 - givaro: FTBFS in Fedora rawhide/f39
Summary: givaro: FTBFS in Fedora rawhide/f39
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: givaro
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ben Beasley
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F39FTBFS
TreeView+ depends on / blocked
 
Reported: 2023-07-25 17:45 UTC by Fedora Release Engineering
Modified: 2023-07-27 13:06 UTC (History)
4 users (show)

Fixed In Version: givaro-4.1.1-15.fc39
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-07-27 13:06:10 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2023-07-25 17:45 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2023-07-25 17:45 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2023-07-25 17:45 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2023-07-25 17:45:28 UTC
givaro failed to build from source in Fedora rawhide/f39

https://koji.fedoraproject.org/koji/taskinfo?taskID=103584065


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild
Please fix givaro at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
givaro will be orphaned. Before branching of Fedora 40,
givaro will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2023-07-25 17:45:35 UTC
Created attachment 1977963 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2023-07-25 17:45:39 UTC
Created attachment 1977964 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2023-07-25 17:45:42 UTC
Created attachment 1977965 [details]
state.log

Comment 4 Ben Beasley 2023-07-25 19:18:00 UTC
It looks like there is a problem with the generated grapviz .dot files in the documentation build:

-----

Error: /builddir/build/BUILD/givaro-4.1.1/docs/./latex/_g_f128_8_c__incl.dot: syntax error in line 5 near '.'
Error: /builddir/build/BUILD/givaro-4.1.1/docs/./latex/_r_s_a__keys__generator_8_c__incl.dot: syntax error in line 5 near '.'
Error: /builddir/build/BUILD/givaro-4.1.1/docs/./latex/_g_firreducible_8_c__incl.dot: syntax error in line 5 near '.'
[etc…]

-----

The contents of _g_f128_8_c__incl.dot are:

-----

digraph "GF128.C"
{
 // LATEX_PDF_SIZE
  bgcolor="transparent";
  edge [fontname=FreeSans.ttf,fontsize=10,labelfontname=FreeSans.ttf,labelfontsize=10];
  node [fontname=FreeSans.ttf,fontsize=10,shape=box,height=0.2,width=0.4];
  Node1 [id="Node000001",label="GF128.C",height=0.2,width=0.4,color="gray40", fillcolor="grey60", style="filled", fontcolor="black",tooltip=" "];
  Node1 -> Node2 [id="edge1_Node000001_Node000002",color="steelblue1",style="solid",tooltip=" "];
  Node2 [id="Node000002",label="givaro/gfq.h",height=0.2,width=0.4,color="grey60", fillcolor="#E0E0E0", style="filled",tooltip=" "];
  Node1 -> Node3 [id="edge2_Node000001_Node000003",color="steelblue1",style="solid",tooltip=" "];
  Node3 [id="Node000003",label="givaro/givtimer.h",height=0.2,width=0.4,color="grey60", fillcolor="#E0E0E0", style="filled",tooltip=" "];
}

-----

I would have assumed that this means DOT_FONTNAME = FreeSans.ttf in docs/Doxyfile*.mod is inappropriate,  that this should be a font *name*, not a font *filename*, and that Graphviz 8 stopped accepting filenames here. However, https://graphviz.org/docs/attrs/fontname/ seems to disagree with this idea.

If I change this to DOT_FONTNAME = FreeSans, which is probably the right thing to do—or if I set DOT_FILENAME to the empty string, or if I remove the line entirely as a warning in the build log suggests (in all cases, adding an explicit BuildRequires:  font(freesans))—I still get a LaTeX error in docs/latex/refman.log:

-----

(./refman.tex
LaTeX2e <2022-11-01> patch level 1
L3 programming layer <2023-02-22>
! Undefined control sequence.
l.5   \pdfminorversion
                      =7
The control sequence at the end of the top line
of your error message was never \def'ed. If you have
misspelled it (e.g., `\hobx'), type `I' and the correct
spelling (e.g., `I\hbox'). Otherwise just continue,
and I'll forget about whatever was undefined.


! LaTeX Error: Missing \begin{document}.

See the LaTeX manual or LaTeX Companion for explanation.
Type  H <return>  for immediate help.
 ...                     
                                                  
l.5   \pdfminorversion=
                       7
You're in trouble here.  Try typing  <return>  to proceed.
If that doesn't work, type  X <return>  to quit.

Missing character: There is no = ("3D) in font nullfont!
Missing character: There is no 7 ("37) in font nullfont!

-----

Now I’m in over my head a bit!

I think the obvious way forward is to simply stop packaging Doxygen-generated documentation. I’ll prepare a PR to that effect.

Comment 6 Fedora Update System 2023-07-27 13:03:35 UTC
FEDORA-2023-da970a8af7 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-da970a8af7

Comment 7 Fedora Update System 2023-07-27 13:06:10 UTC
FEDORA-2023-da970a8af7 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.